import { Colors } from '../../../../theme';
import { StyleSheet } from 'react-native';
import { getFontSize } from '../../../../utils';

export const styles = StyleSheet.create({
  rankText: {
    fontSize: 18,
    color: Colors.DARK_BLUE,
    fontWeight: '700'
  },
  countryFlag: {
    width: 20,
    height: 20,
    borderRadius: 20 / 2,
    borderWidth: 0.5,
    borderColor: 'gray'
  },
  headerText: {
    flex: 1,
    fontFamily: 'redhat-700',
    color: Colors.DARK_BLUE,
    fontSize: getFontSize(12)
  },
  titleText: {
    flex: 1,
    color: Colors.DARK_BLUE,
    fontWeight: '600',
    fontSize: getFontSize(11)
  },
  badge: {
    width: 36,
    height: 14,
    borderRadius: 7,
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center'
  }
});

export const HorizontalSelectStyles = StyleSheet.create({
  wrapper: {
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center',
    paddingLeft: 10,
    paddingRight: 10,
    borderRadius: 17,
    height: 33
  },
  text: {
    fontSize: getFontSize(12),
    fontWeight: '600'
  },
  notActiveText: {
    color: Colors.DARK_BLUE
  },
  activeText: {
    color: Colors.WHITE
  },
  notSelected: {
    backgroundColor: Colors.WHITE,
    borderColor: 'rgba(15, 63, 79, 0.3)',
    borderWidth: 1
  },
  selected: {
    backgroundColor: Colors.ORANGE
  }
});
